/*
  Windows 2000 XP API Wrapper Pack
  Copyright (C) 2008 OldCigarette

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include "../common/forwards.h"

__declspec(dllexport) void __stdcall CryptAcquireContextA (int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall CryptGenRandom (int int0, int int4, int int8) { }
__declspec(dllexport) void __stdcall RegCloseKey (int int0) { }
__declspec(dllexport) void __stdcall RegDeleteKeyW (int int0, int int4) { }
__declspec(dllexport) void __stdcall RegCreateKeyExW (int int0, int int4, int int8, int int12, int int16, int int20, int int24, int int28, int int32) { }
__declspec(dllexport) void __stdcall RegQueryInfoKeyW (int int0, int int4, int int8, int int12, int int16, int int20, int int24, int int28, int int32, int int36, int int40, int int44) { }
__declspec(dllexport) void __stdcall RegSetValueExW (int int0, int int4, int int8, int int12, int int16, int int20) { }
__declspec(dllexport) void __stdcall SystemFunction032 (int int0, int int4) { }
__declspec(dllexport) void __stdcall RegQueryValueExA (int int0, int int4, int int8, int int12, int int16, int int20) { }
__declspec(dllexport) void __stdcall RegQueryValueExW (int int0, int int4, int int8, int int12, int int16, int int20) { }
__declspec(dllexport) void __stdcall RegOpenKeyExA (int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall RegOpenKeyExW (int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall RegEnumKeyW (int int0, int int4, int int8, int int12) { }
__declspec(dllexport) void __stdcall CryptReleaseContext (int int0, int int4) { }
__declspec(dllexport) void __stdcall InitiateSystemShutdownA(int int0, int int4, int int8, int int12, int int16) { }
__declspec(dllexport) void __stdcall InitiateSystemShutdownExA(int int0, int int4, int int8, int int12, int int16, int int20) { }
__declspec(dllexport) void __stdcall InitiateSystemShutdownExW(int int0, int int4, int int8, int int12, int int16, int int20) { }
__declspec(dllexport) void __stdcall InitiateSystemShutdownW(int int0, int int4, int int8, int int12, int int16) { }

UNKNOWN_IMPL(AbortSystemShutdownA);
UNKNOWN_IMPL(AbortSystemShutdownW);
UNKNOWN_IMPL(AccessCheck);
UNKNOWN_IMPL(AccessCheckAndAuditAlarmA);
UNKNOWN_IMPL(AccessCheckAndAuditAlarmW);
UNKNOWN_IMPL(AccessCheckByType);
UNKNOWN_IMPL(AccessCheckByTypeAndAuditAlarmA);
UNKNOWN_IMPL(AccessCheckByTypeAndAuditAlarmW);
UNKNOWN_IMPL(AccessCheckByTypeResultList);
UNKNOWN_IMPL(AccessCheckByTypeResultListAndAuditAlarmA);
UNKNOWN_IMPL(AccessCheckByTypeResultListAndAuditAlarmByHandleA);
UNKNOWN_IMPL(AccessCheckByTypeResultListAndAuditAlarmByHandleW);
UNKNOWN_IMPL(AccessCheckByTypeResultListAndAuditAlarmW);
UNKNOWN_IMPL(AddAccessAllowedAce);
UNKNOWN_IMPL(AddAccessAllowedAceEx);
UNKNOWN_IMPL(AddAccessAllowedObjectAce);
UNKNOWN_IMPL(AddAccessDeniedAce);
UNKNOWN_IMPL(AddAccessDeniedAceEx);
UNKNOWN_IMPL(AddAccessDeniedObjectAce);
UNKNOWN_IMPL(AddAce);
UNKNOWN_IMPL(AddAuditAccessAce);
UNKNOWN_IMPL(AddAuditAccessAceEx);
UNKNOWN_IMPL(AddAuditAccessObjectAce);
UNKNOWN_IMPL(AddUsersToEncryptedFile);
UNKNOWN_IMPL(AdjustTokenGroups);
UNKNOWN_IMPL(AdjustTokenPrivileges);
UNKNOWN_IMPL(AllocateAndInitializeSid);
UNKNOWN_IMPL(AllocateLocallyUniqueId);
UNKNOWN_IMPL(AreAllAccessesGranted);
UNKNOWN_IMPL(AreAnyAccessesGranted);
UNKNOWN_IMPL(BackupEventLogA);
UNKNOWN_IMPL(BackupEventLogW);
UNKNOWN_IMPL(BuildExplicitAccessWithNameA);
UNKNOWN_IMPL(BuildExplicitAccessWithNameW);
UNKNOWN_IMPL(BuildImpersonateExplicitAccessWithNameA);
UNKNOWN_IMPL(BuildImpersonateExplicitAccessWithNameW);
UNKNOWN_IMPL(BuildImpersonateTrusteeA);
UNKNOWN_IMPL(BuildImpersonateTrusteeW);
UNKNOWN_IMPL(BuildSecurityDescriptorA);
UNKNOWN_IMPL(BuildSecurityDescriptorW);
UNKNOWN_IMPL(BuildTrusteeWithNameA);
UNKNOWN_IMPL(BuildTrusteeWithNameW);
UNKNOWN_IMPL(BuildTrusteeWithObjectsAndNameA);
UNKNOWN_IMPL(BuildTrusteeWithObjectsAndNameW);
UNKNOWN_IMPL(BuildTrusteeWithObjectsAndSidA);
UNKNOWN_IMPL(BuildTrusteeWithObjectsAndSidW);
UNKNOWN_IMPL(BuildTrusteeWithSidA);
UNKNOWN_IMPL(BuildTrusteeWithSidW);
UNKNOWN_IMPL(CancelOverlappedAccess);
UNKNOWN_IMPL(ChangeServiceConfig2A);
UNKNOWN_IMPL(ChangeServiceConfig2W);
UNKNOWN_IMPL(ChangeServiceConfigA);
UNKNOWN_IMPL(ChangeServiceConfigW);
UNKNOWN_IMPL(CheckTokenMembership);
UNKNOWN_IMPL(ClearEventLogA);
UNKNOWN_IMPL(ClearEventLogW);
UNKNOWN_IMPL(CloseEncryptedFileRaw);
UNKNOWN_IMPL(CloseEventLog);
UNKNOWN_IMPL(CloseServiceHandle);
UNKNOWN_IMPL(CloseTrace);
UNKNOWN_IMPL(CommandLineFromMsiDescriptor);
UNKNOWN_IMPL(ControlService);
UNKNOWN_IMPL(ControlTraceA);
UNKNOWN_IMPL(ControlTraceW);
UNKNOWN_IMPL(ConvertAccessToSecurityDescriptorA);
UNKNOWN_IMPL(ConvertAccessToSecurityDescriptorW);
UNKNOWN_IMPL(ConvertSDToStringSDRootDomainA);
UNKNOWN_IMPL(ConvertSDToStringSDRootDomainW);
UNKNOWN_IMPL(ConvertSecurityDescriptorToAccessA);
UNKNOWN_IMPL(ConvertSecurityDescriptorToAccessNamedA);
UNKNOWN_IMPL(ConvertSecurityDescriptorToAccessNamedW);
UNKNOWN_IMPL(ConvertSecurityDescriptorToAccessW);
UNKNOWN_IMPL(ConvertSecurityDescriptorToStringSecurityDescriptorA);
UNKNOWN_IMPL(ConvertSecurityDescriptorToStringSecurityDescriptorW);
UNKNOWN_IMPL(ConvertSidToStringSidA);
UNKNOWN_IMPL(ConvertSidToStringSidW);
UNKNOWN_IMPL(ConvertStringSDToSDRootDomainA);
UNKNOWN_IMPL(ConvertStringSDToSDRootDomainW);
UNKNOWN_IMPL(ConvertStringSecurityDescriptorToSecurityDescriptorA);
UNKNOWN_IMPL(ConvertStringSecurityDescriptorToSecurityDescriptorW);
UNKNOWN_IMPL(ConvertStringSidToSidA);
UNKNOWN_IMPL(ConvertStringSidToSidW);
UNKNOWN_IMPL(ConvertToAutoInheritPrivateObjectSecurity);
UNKNOWN_IMPL(CopySid);
UNKNOWN_IMPL(CreatePrivateObjectSecurity);
UNKNOWN_IMPL(CreatePrivateObjectSecurityEx);
UNKNOWN_IMPL(CreateProcessAsUserA);
UNKNOWN_IMPL(CreateProcessAsUserSecure);
UNKNOWN_IMPL(CreateProcessAsUserW);
UNKNOWN_IMPL(CreateProcessWithLogonW);
UNKNOWN_IMPL(CreateRestrictedToken);
UNKNOWN_IMPL(CreateServiceA);
UNKNOWN_IMPL(CreateServiceW);
UNKNOWN_IMPL(CreateTraceInstanceId);
UNKNOWN_IMPL(CreateWellKnownSid);
UNKNOWN_IMPL(CryptAcquireContextW);
UNKNOWN_IMPL(CryptContextAddRef);
UNKNOWN_IMPL(CryptCreateHash);
UNKNOWN_IMPL(CryptDecrypt);
UNKNOWN_IMPL(CryptDeriveKey);
UNKNOWN_IMPL(CryptDestroyHash);
UNKNOWN_IMPL(CryptDestroyKey);
UNKNOWN_IMPL(CryptDuplicateHash);
UNKNOWN_IMPL(CryptDuplicateKey);
UNKNOWN_IMPL(CryptEncrypt);
UNKNOWN_IMPL(CryptEnumProviderTypesA);
UNKNOWN_IMPL(CryptEnumProviderTypesW);
UNKNOWN_IMPL(CryptEnumProvidersA);
UNKNOWN_IMPL(CryptEnumProvidersW);
UNKNOWN_IMPL(CryptExportKey);
UNKNOWN_IMPL(CryptGenKey);
UNKNOWN_IMPL(CryptGetDefaultProviderA);
UNKNOWN_IMPL(CryptGetDefaultProviderW);
UNKNOWN_IMPL(CryptGetHashParam);
UNKNOWN_IMPL(CryptGetKeyParam);
UNKNOWN_IMPL(CryptGetProvParam);
UNKNOWN_IMPL(CryptGetUserKey);
UNKNOWN_IMPL(CryptHashData);
UNKNOWN_IMPL(CryptHashSessionKey);
UNKNOWN_IMPL(CryptImportKey);
UNKNOWN_IMPL(CryptSetHashParam);
UNKNOWN_IMPL(CryptSetKeyParam);
UNKNOWN_IMPL(CryptSetProvParam);
UNKNOWN_IMPL(CryptSetProviderA);
UNKNOWN_IMPL(CryptSetProviderExA);
UNKNOWN_IMPL(CryptSetProviderExW);
UNKNOWN_IMPL(CryptSetProviderW);
UNKNOWN_IMPL(CryptSignHashA);
UNKNOWN_IMPL(CryptSignHashW);
UNKNOWN_IMPL(CryptVerifySignatureA);
UNKNOWN_IMPL(CryptVerifySignatureW);
UNKNOWN_IMPL(DecryptFileA);
UNKNOWN_IMPL(DecryptFileW);
UNKNOWN_IMPL(DeleteAce);
UNKNOWN_IMPL(DeleteService);
UNKNOWN_IMPL(DeregisterEventSource);
UNKNOWN_IMPL(DestroyPrivateObjectSecurity);
UNKNOWN_IMPL(DuplicateEncryptionInfoFile);
UNKNOWN_IMPL(DuplicateToken);
UNKNOWN_IMPL(DuplicateTokenEx);
UNKNOWN_IMPL(ElfBackupEventLogFileA);
UNKNOWN_IMPL(ElfBackupEventLogFileW);
UNKNOWN_IMPL(ElfChangeNotify);
UNKNOWN_IMPL(ElfClearEventLogFileA);
UNKNOWN_IMPL(ElfClearEventLogFileW);
UNKNOWN_IMPL(ElfCloseEventLog);
UNKNOWN_IMPL(ElfDeregisterEventSource);
UNKNOWN_IMPL(ElfFlushEventLog);
UNKNOWN_IMPL(ElfNumberOfRecords);
UNKNOWN_IMPL(ElfOldestRecord);
UNKNOWN_IMPL(ElfOpenBackupEventLogA);
UNKNOWN_IMPL(ElfOpenBackupEventLogW);
UNKNOWN_IMPL(ElfOpenEventLogA);
UNKNOWN_IMPL(ElfOpenEventLogW);
UNKNOWN_IMPL(ElfReadEventLogA);
UNKNOWN_IMPL(ElfReadEventLogW);
UNKNOWN_IMPL(ElfRegisterEventSourceA);
UNKNOWN_IMPL(ElfRegisterEventSourceW);
UNKNOWN_IMPL(ElfReportEventA);
UNKNOWN_IMPL(ElfReportEventW);
UNKNOWN_IMPL(EnableTrace);
UNKNOWN_IMPL(EncryptFileA);
UNKNOWN_IMPL(EncryptFileW);
UNKNOWN_IMPL(EncryptionDisable);
UNKNOWN_IMPL(EnumDependentServicesA);
UNKNOWN_IMPL(EnumDependentServicesW);
UNKNOWN_IMPL(EnumServiceGroupW);
UNKNOWN_IMPL(EnumServicesStatusA);
UNKNOWN_IMPL(EnumServicesStatusExA);
UNKNOWN_IMPL(EnumServicesStatusExW);
UNKNOWN_IMPL(EnumServicesStatusW);
UNKNOWN_IMPL(EqualDomainSid);
UNKNOWN_IMPL(EqualPrefixSid);
UNKNOWN_IMPL(EqualSid);
UNKNOWN_IMPL(FileEncryptionStatusA);
UNKNOWN_IMPL(FileEncryptionStatusW);
UNKNOWN_IMPL(FindFirstFreeAce);
UNKNOWN_IMPL(FreeEncryptionCertificateHashList);
UNKNOWN_IMPL(FreeSid);
UNKNOWN_IMPL(GetAccessPermissionsForObjectA);
UNKNOWN_IMPL(GetAccessPermissionsForObjectW);
UNKNOWN_IMPL(GetAce);
UNKNOWN_IMPL(GetAclInformation);
UNKNOWN_IMPL(GetAuditedPermissionsFromAclA);
UNKNOWN_IMPL(GetAuditedPermissionsFromAclW);
UNKNOWN_IMPL(GetCurrentHwProfileA);
UNKNOWN_IMPL(GetCurrentHwProfileW);
UNKNOWN_IMPL(GetEffectiveRightsFromAclA);
UNKNOWN_IMPL(GetEffectiveRightsFromAclW);
UNKNOWN_IMPL(GetEventLogInformation);
UNKNOWN_IMPL(GetExplicitEntriesFromAclA);
UNKNOWN_IMPL(GetExplicitEntriesFromAclW);
UNKNOWN_IMPL(GetFileSecurityA);
UNKNOWN_IMPL(GetFileSecurityW);
UNKNOWN_IMPL(GetKernelObjectSecurity);
UNKNOWN_IMPL(GetLengthSid);
UNKNOWN_IMPL(GetLocalManagedApplications);
UNKNOWN_IMPL(GetManagedApplications);
UNKNOWN_IMPL(GetMangledSiteSid);
UNKNOWN_IMPL(GetMultipleTrusteeA);
UNKNOWN_IMPL(GetMultipleTrusteeOperationA);
UNKNOWN_IMPL(GetMultipleTrusteeOperationW);
UNKNOWN_IMPL(GetMultipleTrusteeW);
UNKNOWN_IMPL(GetNamedSecurityInfoA);
UNKNOWN_IMPL(GetNamedSecurityInfoExA);
UNKNOWN_IMPL(GetNamedSecurityInfoExW);
UNKNOWN_IMPL(GetNamedSecurityInfoW);
UNKNOWN_IMPL(GetNumberOfEventLogRecords);
UNKNOWN_IMPL(GetOldestEventLogRecord);
UNKNOWN_IMPL(GetOverlappedAccessResults);
UNKNOWN_IMPL(GetPrivateObjectSecurity);
UNKNOWN_IMPL(GetSecurityDescriptorControl);
UNKNOWN_IMPL(GetSecurityDescriptorDacl);
UNKNOWN_IMPL(GetSecurityDescriptorGroup);
UNKNOWN_IMPL(GetSecurityDescriptorLength);
UNKNOWN_IMPL(GetSecurityDescriptorOwner);
UNKNOWN_IMPL(GetSecurityDescriptorRMControl);
UNKNOWN_IMPL(GetSecurityDescriptorSacl);
UNKNOWN_IMPL(GetSecurityInfo);
UNKNOWN_IMPL(GetSecurityInfoExA);
UNKNOWN_IMPL(GetSecurityInfoExW);
UNKNOWN_IMPL(GetServiceDisplayNameA);
UNKNOWN_IMPL(GetServiceDisplayNameW);
UNKNOWN_IMPL(GetServiceKeyNameA);
UNKNOWN_IMPL(GetServiceKeyNameW);
UNKNOWN_IMPL(GetSidIdentifierAuthority);
UNKNOWN_IMPL(GetSidLengthRequired);
UNKNOWN_IMPL(GetSidSubAuthority);
UNKNOWN_IMPL(GetSidSubAuthorityCount);
UNKNOWN_IMPL(GetSiteDirectoryA);
UNKNOWN_IMPL(GetSiteDirectoryW);
UNKNOWN_IMPL(GetSiteNameFromSid);
UNKNOWN_IMPL(GetSiteSidFromToken);
UNKNOWN_IMPL(GetSiteSidFromUrl);
UNKNOWN_IMPL(GetTokenInformation);
UNKNOWN_IMPL(GetTraceEnableFlags);
UNKNOWN_IMPL(GetTraceEnableLevel);
UNKNOWN_IMPL(GetTraceLoggerHandle);
UNKNOWN_IMPL(GetTrusteeFormA);
UNKNOWN_IMPL(GetTrusteeFormW);
UNKNOWN_IMPL(GetTrusteeNameA);
UNKNOWN_IMPL(GetTrusteeNameW);
UNKNOWN_IMPL(GetTrusteeTypeA);
UNKNOWN_IMPL(GetTrusteeTypeW);
UNKNOWN_IMPL(GetUserNameA);
UNKNOWN_IMPL(GetUserNameW);
UNKNOWN_IMPL(GetWindowsAccountDomainSid);
UNKNOWN_IMPL(I_ScGetCurrentGroupStateW);
UNKNOWN_IMPL(I_ScIsSecurityProcess);
UNKNOWN_IMPL(I_ScPnPGetServiceName);
UNKNOWN_IMPL(I_ScSetServiceBitsA);
UNKNOWN_IMPL(I_ScSetServiceBitsW);
UNKNOWN_IMPL(ImpersonateAnonymousToken);
UNKNOWN_IMPL(ImpersonateLoggedOnUser);
UNKNOWN_IMPL(ImpersonateNamedPipeClient);
UNKNOWN_IMPL(ImpersonateSelf);
UNKNOWN_IMPL(InitializeAcl);
UNKNOWN_IMPL(InitializeSecurityDescriptor);
UNKNOWN_IMPL(InitializeSid);
UNKNOWN_IMPL(InstallApplication);
UNKNOWN_IMPL(IsInSandbox);
UNKNOWN_IMPL(IsProcessRestricted);
UNKNOWN_IMPL(IsTextUnicode);
UNKNOWN_IMPL(IsTokenRestricted);
UNKNOWN_IMPL(IsValidAcl);
UNKNOWN_IMPL(IsValidSecurityDescriptor);
UNKNOWN_IMPL(IsValidSid);
UNKNOWN_IMPL(IsWellKnownSid);
UNKNOWN_IMPL(LockServiceDatabase);
UNKNOWN_IMPL(LogonUserA);
UNKNOWN_IMPL(LogonUserW);
UNKNOWN_IMPL(LookupAccountNameA);
UNKNOWN_IMPL(LookupAccountNameW);
UNKNOWN_IMPL(LookupAccountSidA);
UNKNOWN_IMPL(LookupAccountSidW);
UNKNOWN_IMPL(LookupPrivilegeDisplayNameA);
UNKNOWN_IMPL(LookupPrivilegeDisplayNameW);
UNKNOWN_IMPL(LookupPrivilegeNameA);
UNKNOWN_IMPL(LookupPrivilegeNameW);
UNKNOWN_IMPL(LookupPrivilegeValueA);
UNKNOWN_IMPL(LookupPrivilegeValueW);
UNKNOWN_IMPL(LookupSecurityDescriptorPartsA);
UNKNOWN_IMPL(LookupSecurityDescriptorPartsW);
UNKNOWN_IMPL(LsaAddAccountRights);
UNKNOWN_IMPL(LsaAddPrivilegesToAccount);
UNKNOWN_IMPL(LsaClearAuditLog);
UNKNOWN_IMPL(LsaClose);
UNKNOWN_IMPL(LsaCreateAccount);
UNKNOWN_IMPL(LsaCreateSecret);
UNKNOWN_IMPL(LsaCreateTrustedDomain);
UNKNOWN_IMPL(LsaCreateTrustedDomainEx);
UNKNOWN_IMPL(LsaDelete);
UNKNOWN_IMPL(LsaDeleteTrustedDomain);
UNKNOWN_IMPL(LsaEnumerateAccountRights);
UNKNOWN_IMPL(LsaEnumerateAccounts);
UNKNOWN_IMPL(LsaEnumerateAccountsWithUserRight);
UNKNOWN_IMPL(LsaEnumeratePrivileges);
UNKNOWN_IMPL(LsaEnumeratePrivilegesOfAccount);
UNKNOWN_IMPL(LsaEnumerateTrustedDomains);
UNKNOWN_IMPL(LsaEnumerateTrustedDomainsEx);
UNKNOWN_IMPL(LsaFreeMemory);
UNKNOWN_IMPL(LsaGetQuotasForAccount);
UNKNOWN_IMPL(LsaGetRemoteUserName);
UNKNOWN_IMPL(LsaGetSystemAccessAccount);
UNKNOWN_IMPL(LsaGetUserName);
UNKNOWN_IMPL(LsaICLookupNames);
UNKNOWN_IMPL(LsaICLookupSids);
UNKNOWN_IMPL(LsaLookupNames);
UNKNOWN_IMPL(LsaLookupPrivilegeDisplayName);
UNKNOWN_IMPL(LsaLookupPrivilegeName);
UNKNOWN_IMPL(LsaLookupPrivilegeValue);
UNKNOWN_IMPL(LsaLookupSids);
UNKNOWN_IMPL(LsaNtStatusToWinError);
UNKNOWN_IMPL(LsaOpenAccount);
UNKNOWN_IMPL(LsaOpenPolicy);
UNKNOWN_IMPL(LsaOpenPolicySce);
UNKNOWN_IMPL(LsaOpenSecret);
UNKNOWN_IMPL(LsaOpenTrustedDomain);
UNKNOWN_IMPL(LsaOpenTrustedDomainByName);
UNKNOWN_IMPL(LsaQueryDomainInformationPolicy);
UNKNOWN_IMPL(LsaQueryInfoTrustedDomain);
UNKNOWN_IMPL(LsaQueryInformationPolicy);
UNKNOWN_IMPL(LsaQuerySecret);
UNKNOWN_IMPL(LsaQuerySecurityObject);
UNKNOWN_IMPL(LsaQueryTrustedDomainInfo);
UNKNOWN_IMPL(LsaQueryTrustedDomainInfoByName);
UNKNOWN_IMPL(LsaRemoveAccountRights);
UNKNOWN_IMPL(LsaRemovePrivilegesFromAccount);
UNKNOWN_IMPL(LsaRetrievePrivateData);
UNKNOWN_IMPL(LsaSetDomainInformationPolicy);
UNKNOWN_IMPL(LsaSetInformationPolicy);
UNKNOWN_IMPL(LsaSetInformationTrustedDomain);
UNKNOWN_IMPL(LsaSetQuotasForAccount);
UNKNOWN_IMPL(LsaSetSecret);
UNKNOWN_IMPL(LsaSetSecurityObject);
UNKNOWN_IMPL(LsaSetSystemAccessAccount);
UNKNOWN_IMPL(LsaSetTrustedDomainInfoByName);
UNKNOWN_IMPL(LsaSetTrustedDomainInformation);
UNKNOWN_IMPL(LsaStorePrivateData);
UNKNOWN_IMPL(MakeAbsoluteSD);
UNKNOWN_IMPL(MakeAbsoluteSD2);
UNKNOWN_IMPL(MakeSelfRelativeSD);
UNKNOWN_IMPL(MapGenericMask);
UNKNOWN_IMPL(NotifyBootConfigStatus);
UNKNOWN_IMPL(NotifyChangeEventLog);
UNKNOWN_IMPL(ObjectCloseAuditAlarmA);
UNKNOWN_IMPL(ObjectCloseAuditAlarmW);
UNKNOWN_IMPL(ObjectDeleteAuditAlarmA);
UNKNOWN_IMPL(ObjectDeleteAuditAlarmW);
UNKNOWN_IMPL(ObjectOpenAuditAlarmA);
UNKNOWN_IMPL(ObjectOpenAuditAlarmW);
UNKNOWN_IMPL(ObjectPrivilegeAuditAlarmA);
UNKNOWN_IMPL(ObjectPrivilegeAuditAlarmW);
UNKNOWN_IMPL(OpenBackupEventLogA);
UNKNOWN_IMPL(OpenBackupEventLogW);
UNKNOWN_IMPL(OpenEncryptedFileRawA);
UNKNOWN_IMPL(OpenEncryptedFileRawW);
UNKNOWN_IMPL(OpenEventLogA);
UNKNOWN_IMPL(OpenEventLogW);
UNKNOWN_IMPL(OpenProcessToken);
UNKNOWN_IMPL(OpenSCManagerA);
UNKNOWN_IMPL(OpenSCManagerW);
UNKNOWN_IMPL(OpenServiceA);
UNKNOWN_IMPL(OpenServiceW);
UNKNOWN_IMPL(OpenThreadToken);
UNKNOWN_IMPL(OpenTraceA);
UNKNOWN_IMPL(OpenTraceW);
UNKNOWN_IMPL(PrivilegeCheck);
UNKNOWN_IMPL(PrivilegedServiceAuditAlarmA);
UNKNOWN_IMPL(PrivilegedServiceAuditAlarmW);
UNKNOWN_IMPL(ProcessTrace);
UNKNOWN_IMPL(QueryAllTracesA);
UNKNOWN_IMPL(QueryAllTracesW);
UNKNOWN_IMPL(QueryRecoveryAgentsOnEncryptedFile);
UNKNOWN_IMPL(QueryServiceConfig2A);
UNKNOWN_IMPL(QueryServiceConfig2W);
UNKNOWN_IMPL(QueryServiceConfigA);
UNKNOWN_IMPL(QueryServiceConfigW);
UNKNOWN_IMPL(QueryServiceLockStatusA);
UNKNOWN_IMPL(QueryServiceLockStatusW);
UNKNOWN_IMPL(QueryServiceObjectSecurity);
UNKNOWN_IMPL(QueryServiceStatus);
UNKNOWN_IMPL(QueryServiceStatusEx);
UNKNOWN_IMPL(QueryUsersOnEncryptedFile);
UNKNOWN_IMPL(QueryWindows31FilesMigration);
UNKNOWN_IMPL(ReadEncryptedFileRaw);
UNKNOWN_IMPL(ReadEventLogA);
UNKNOWN_IMPL(ReadEventLogW);
UNKNOWN_IMPL(RegConnectRegistryA);
UNKNOWN_IMPL(RegConnectRegistryW);
UNKNOWN_IMPL(RegCreateKeyA);
UNKNOWN_IMPL(RegCreateKeyExA);
UNKNOWN_IMPL(RegCreateKeyW);
UNKNOWN_IMPL(RegDeleteKeyA);
UNKNOWN_IMPL(RegDeleteValueA);
UNKNOWN_IMPL(RegDeleteValueW);
UNKNOWN_IMPL(RegDisablePredefinedCache);
UNKNOWN_IMPL(RegEnumKeyA);
UNKNOWN_IMPL(RegEnumKeyExA);
UNKNOWN_IMPL(RegEnumKeyExW);
UNKNOWN_IMPL(RegEnumValueA);
UNKNOWN_IMPL(RegEnumValueW);
UNKNOWN_IMPL(RegFlushKey);
UNKNOWN_IMPL(RegGetKeySecurity);
UNKNOWN_IMPL(RegLoadKeyA);
UNKNOWN_IMPL(RegLoadKeyW);
UNKNOWN_IMPL(RegNotifyChangeKeyValue);
UNKNOWN_IMPL(RegOpenCurrentUser);
UNKNOWN_IMPL(RegOpenKeyA);
UNKNOWN_IMPL(RegOpenKeyW);
UNKNOWN_IMPL(RegOpenUserClassesRoot);
UNKNOWN_IMPL(RegOverridePredefKey);
UNKNOWN_IMPL(RegQueryInfoKeyA);
UNKNOWN_IMPL(RegQueryMultipleValuesA);
UNKNOWN_IMPL(RegQueryMultipleValuesW);
UNKNOWN_IMPL(RegQueryValueA);
UNKNOWN_IMPL(RegQueryValueW);
UNKNOWN_IMPL(RegReplaceKeyA);
UNKNOWN_IMPL(RegReplaceKeyW);
UNKNOWN_IMPL(RegRestoreKeyA);
UNKNOWN_IMPL(RegRestoreKeyW);
UNKNOWN_IMPL(RegSaveKeyA);
UNKNOWN_IMPL(RegSaveKeyW);
UNKNOWN_IMPL(RegSetKeySecurity);
UNKNOWN_IMPL(RegSetValueA);
UNKNOWN_IMPL(RegSetValueExA);
UNKNOWN_IMPL(RegSetValueW);
UNKNOWN_IMPL(RegUnLoadKeyA);
UNKNOWN_IMPL(RegUnLoadKeyW);
UNKNOWN_IMPL(RegisterEventSourceA);
UNKNOWN_IMPL(RegisterEventSourceW);
UNKNOWN_IMPL(RegisterServiceCtrlHandlerA);
UNKNOWN_IMPL(RegisterServiceCtrlHandlerExA);
UNKNOWN_IMPL(RegisterServiceCtrlHandlerExW);
UNKNOWN_IMPL(RegisterServiceCtrlHandlerW);
UNKNOWN_IMPL(RegisterTraceGuidsA);
UNKNOWN_IMPL(RegisterTraceGuidsW);
UNKNOWN_IMPL(RemoveTraceCallback);
UNKNOWN_IMPL(RemoveUsersFromEncryptedFile);
UNKNOWN_IMPL(ReportEventA);
UNKNOWN_IMPL(ReportEventW);
UNKNOWN_IMPL(RevertToSelf);
UNKNOWN_IMPL(SetAclInformation);
UNKNOWN_IMPL(SetEntriesInAccessListA);
UNKNOWN_IMPL(SetEntriesInAccessListW);
UNKNOWN_IMPL(SetEntriesInAclA);
UNKNOWN_IMPL(SetEntriesInAclW);
UNKNOWN_IMPL(SetEntriesInAuditListA);
UNKNOWN_IMPL(SetEntriesInAuditListW);
UNKNOWN_IMPL(SetFileSecurityA);
UNKNOWN_IMPL(SetFileSecurityW);
UNKNOWN_IMPL(SetKernelObjectSecurity);
UNKNOWN_IMPL(SetNamedSecurityInfoA);
UNKNOWN_IMPL(SetNamedSecurityInfoExA);
UNKNOWN_IMPL(SetNamedSecurityInfoExW);
UNKNOWN_IMPL(SetNamedSecurityInfoW);
UNKNOWN_IMPL(SetPrivateObjectSecurity);
UNKNOWN_IMPL(SetPrivateObjectSecurityEx);
UNKNOWN_IMPL(SetSecurityDescriptorControl);
UNKNOWN_IMPL(SetSecurityDescriptorDacl);
UNKNOWN_IMPL(SetSecurityDescriptorGroup);
UNKNOWN_IMPL(SetSecurityDescriptorOwner);
UNKNOWN_IMPL(SetSecurityDescriptorRMControl);
UNKNOWN_IMPL(SetSecurityDescriptorSacl);
UNKNOWN_IMPL(SetSecurityInfo);
UNKNOWN_IMPL(SetSecurityInfoExA);
UNKNOWN_IMPL(SetSecurityInfoExW);
UNKNOWN_IMPL(SetServiceBits);
UNKNOWN_IMPL(SetServiceObjectSecurity);
UNKNOWN_IMPL(SetServiceStatus);
UNKNOWN_IMPL(SetThreadToken);
UNKNOWN_IMPL(SetTokenInformation);
UNKNOWN_IMPL(SetTraceCallback);
UNKNOWN_IMPL(SetUserFileEncryptionKey);
UNKNOWN_IMPL(StartServiceA);
UNKNOWN_IMPL(StartServiceCtrlDispatcherA);
UNKNOWN_IMPL(StartServiceCtrlDispatcherW);
UNKNOWN_IMPL(StartServiceW);
UNKNOWN_IMPL(StartTraceA);
UNKNOWN_IMPL(StartTraceW);
UNKNOWN_IMPL(SynchronizeWindows31FilesAndWindowsNTRegistry);
UNKNOWN_IMPL(SystemFunction001);
UNKNOWN_IMPL(SystemFunction002);
UNKNOWN_IMPL(SystemFunction003);
UNKNOWN_IMPL(SystemFunction004);
UNKNOWN_IMPL(SystemFunction005);
UNKNOWN_IMPL(SystemFunction006);
UNKNOWN_IMPL(SystemFunction007);
UNKNOWN_IMPL(SystemFunction008);
UNKNOWN_IMPL(SystemFunction009);
UNKNOWN_IMPL(SystemFunction010);
UNKNOWN_IMPL(SystemFunction011);
UNKNOWN_IMPL(SystemFunction012);
UNKNOWN_IMPL(SystemFunction013);
UNKNOWN_IMPL(SystemFunction014);
UNKNOWN_IMPL(SystemFunction015);
UNKNOWN_IMPL(SystemFunction016);
UNKNOWN_IMPL(SystemFunction017);
UNKNOWN_IMPL(SystemFunction018);
UNKNOWN_IMPL(SystemFunction019);
UNKNOWN_IMPL(SystemFunction020);
UNKNOWN_IMPL(SystemFunction021);
UNKNOWN_IMPL(SystemFunction022);
UNKNOWN_IMPL(SystemFunction023);
UNKNOWN_IMPL(SystemFunction024);
UNKNOWN_IMPL(SystemFunction025);
UNKNOWN_IMPL(SystemFunction026);
UNKNOWN_IMPL(SystemFunction027);
UNKNOWN_IMPL(SystemFunction028);
UNKNOWN_IMPL(SystemFunction029);
UNKNOWN_IMPL(SystemFunction030);
UNKNOWN_IMPL(SystemFunction031);
UNKNOWN_IMPL(SystemFunction033);
UNKNOWN_IMPL(SystemFunction034);
UNKNOWN_IMPL(SystemFunction035);
UNKNOWN_IMPL(SystemFunction040);
UNKNOWN_IMPL(SystemFunction041);
UNKNOWN_IMPL(TraceEvent);
UNKNOWN_IMPL(TraceEventInstance);
UNKNOWN_IMPL(TrusteeAccessToObjectA);
UNKNOWN_IMPL(TrusteeAccessToObjectW);
UNKNOWN_IMPL(UninstallApplication);
UNKNOWN_IMPL(UnlockServiceDatabase);
UNKNOWN_IMPL(UnregisterTraceGuids);
UNKNOWN_IMPL(WmiCloseBlock);
UNKNOWN_IMPL(WmiDevInstToInstanceNameA);
UNKNOWN_IMPL(WmiDevInstToInstanceNameW);
UNKNOWN_IMPL(WmiEnumerateGuids);
UNKNOWN_IMPL(WmiExecuteMethodA);
UNKNOWN_IMPL(WmiExecuteMethodW);
UNKNOWN_IMPL(WmiFileHandleToInstanceNameA);
UNKNOWN_IMPL(WmiFileHandleToInstanceNameW);
UNKNOWN_IMPL(WmiFreeBuffer);
UNKNOWN_IMPL(WmiMofEnumerateResourcesA);
UNKNOWN_IMPL(WmiMofEnumerateResourcesW);
UNKNOWN_IMPL(WmiNotificationRegistrationA);
UNKNOWN_IMPL(WmiNotificationRegistrationW);
UNKNOWN_IMPL(WmiOpenBlock);
UNKNOWN_IMPL(WmiQueryAllDataA);
UNKNOWN_IMPL(WmiQueryAllDataW);
UNKNOWN_IMPL(WmiQueryGuidInformation);
UNKNOWN_IMPL(WmiQuerySingleInstanceA);
UNKNOWN_IMPL(WmiQuerySingleInstanceW);
UNKNOWN_IMPL(WmiSetSingleInstanceA);
UNKNOWN_IMPL(WmiSetSingleInstanceW);
UNKNOWN_IMPL(WmiSetSingleItemA);
UNKNOWN_IMPL(WmiSetSingleItemW);
UNKNOWN_IMPL(WriteEncryptedFileRaw);
