#include "../common/forwards.h"

ORG_DECL inet_ntoa (int int0);
ORG_DECL htonl (int int0);
ORG_DECL getservbyname (int int0, int int4);
ORG_DECL htons (int int0);
ORG_DECL inet_addr (int int0);
ORG_DECL WSAGetLastError ();
ORG_DECL gethostbyname (int int0);
ORG_DECL gethostbyaddr (int int0, int int4, int int8);
ORG_DECL getservbyport (int int0, int int4);
ORG_DECL ntohs (int int0);
ORG_DECL WSAIoctl (int int0, int int4, int int8, int int12, int int16, int int20, int int24, int int28, int int32);
ORG_DECL WSACloseEvent (int int0);
ORG_DECL WSASetEvent (int int0);
ORG_DECL WSAEventSelect (int int0, int int4, int int8);
ORG_DECL WSASend (int int0, int int4, int int8, int int12, int int16, int int20, int int24);
ORG_DECL select (int int0, int int4, int int8, int int12, int int16);
ORG_DECL WSASetLastError (int int0);
ORG_DECL WSACreateEvent ();
ORG_DECL connect (int int0, int int4, int int8);

UNKNOWN_DECL(WEP);
UNKNOWN_DECL(WPUCompleteOverlappedRequest);
UNKNOWN_DECL(WSAAccept);
UNKNOWN_DECL(WSAAddressToStringA);
UNKNOWN_DECL(WSAAddressToStringW);
UNKNOWN_DECL(WSAAsyncGetHostByAddr);
UNKNOWN_DECL(WSAAsyncGetHostByName);
UNKNOWN_DECL(WSAAsyncGetProtoByName);
UNKNOWN_DECL(WSAAsyncGetProtoByNumber);
UNKNOWN_DECL(WSAAsyncGetServByName);
UNKNOWN_DECL(WSAAsyncGetServByPort);
UNKNOWN_DECL(WSAAsyncSelect);
UNKNOWN_DECL(WSACancelAsyncRequest);
UNKNOWN_DECL(WSACancelBlockingCall);
UNKNOWN_DECL(WSACleanup);
UNKNOWN_DECL(WSAConnect);
UNKNOWN_DECL(WSADuplicateSocketA);
UNKNOWN_DECL(WSADuplicateSocketW);
UNKNOWN_DECL(WSAEnumNameSpaceProvidersA);
UNKNOWN_DECL(WSAEnumNameSpaceProvidersW);
UNKNOWN_DECL(WSAEnumNetworkEvents);
UNKNOWN_DECL(WSAEnumProtocolsA);
UNKNOWN_DECL(WSAEnumProtocolsW);
UNKNOWN_DECL(WSAGetOverlappedResult);
UNKNOWN_DECL(WSAGetQOSByName);
UNKNOWN_DECL(WSAGetServiceClassInfoA);
UNKNOWN_DECL(WSAGetServiceClassInfoW);
UNKNOWN_DECL(WSAGetServiceClassNameByClassIdA);
UNKNOWN_DECL(WSAGetServiceClassNameByClassIdW);
UNKNOWN_DECL(WSAHtonl);
UNKNOWN_DECL(WSAHtons);
UNKNOWN_DECL(WSAInstallServiceClassA);
UNKNOWN_DECL(WSAInstallServiceClassW);
UNKNOWN_DECL(WSAIsBlocking);
UNKNOWN_DECL(WSAJoinLeaf);
UNKNOWN_DECL(WSALookupServiceBeginA);
UNKNOWN_DECL(WSALookupServiceBeginW);
UNKNOWN_DECL(WSALookupServiceEnd);
UNKNOWN_DECL(WSALookupServiceNextA);
UNKNOWN_DECL(WSALookupServiceNextW);
UNKNOWN_DECL(WSANtohl);
UNKNOWN_DECL(WSANtohs);
UNKNOWN_DECL(WSAProviderConfigChange);
UNKNOWN_DECL(WSARecv);
UNKNOWN_DECL(WSARecvDisconnect);
UNKNOWN_DECL(WSARecvFrom);
UNKNOWN_DECL(WSARemoveServiceClass);
UNKNOWN_DECL(WSAResetEvent);
UNKNOWN_DECL(WSASendDisconnect);
UNKNOWN_DECL(WSASendTo);
UNKNOWN_DECL(WSASetBlockingHook);
UNKNOWN_DECL(WSASetServiceA);
UNKNOWN_DECL(WSASetServiceW);
UNKNOWN_DECL(WSASocketA);
UNKNOWN_DECL(WSASocketW);
UNKNOWN_DECL(WSAStartup);
UNKNOWN_DECL(WSAStringToAddressA);
UNKNOWN_DECL(WSAStringToAddressW);
UNKNOWN_DECL(WSAUnhookBlockingHook);
UNKNOWN_DECL(WSAWaitForMultipleEvents);
UNKNOWN_DECL(WSApSetPostRoutine);
UNKNOWN_DECL(WSCDeinstallProvider);
UNKNOWN_DECL(WSCEnableNSProvider);
UNKNOWN_DECL(WSCEnumProtocols);
UNKNOWN_DECL(WSCGetProviderPath);
UNKNOWN_DECL(WSCInstallNameSpace);
UNKNOWN_DECL(WSCInstallProvider);
UNKNOWN_DECL(WSCUnInstallNameSpace);
UNKNOWN_DECL(WSCWriteNameSpaceOrder);
UNKNOWN_DECL(WSCWriteProviderOrder);
UNKNOWN_DECL(__WSAFDIsSet);
UNKNOWN_DECL(accept);
UNKNOWN_DECL(bind);
UNKNOWN_DECL(closesocket);
UNKNOWN_DECL(gethostname);
UNKNOWN_DECL(getpeername);
UNKNOWN_DECL(getprotobyname);
UNKNOWN_DECL(getprotobynumber);
UNKNOWN_DECL(getsockname);
UNKNOWN_DECL(getsockopt);
UNKNOWN_DECL(ioctlsocket);
UNKNOWN_DECL(listen);
UNKNOWN_DECL(ntohl);
UNKNOWN_DECL(recv);
UNKNOWN_DECL(recvfrom);
UNKNOWN_DECL(send);
UNKNOWN_DECL(sendto);
UNKNOWN_DECL(setsockopt);
UNKNOWN_DECL(shutdown);
UNKNOWN_DECL(socket);

FORWARD(inet_ntoa);
FORWARD(htonl);
FORWARD(getservbyname);
FORWARD(htons);
FORWARD(inet_addr);
FORWARD(WSAGetLastError);
FORWARD(gethostbyname);
FORWARD(gethostbyaddr);
FORWARD(getservbyport);
FORWARD(ntohs);
FORWARD(WSAIoctl);
FORWARD(WSACloseEvent);
FORWARD(WSASetEvent);
FORWARD(WSAEventSelect);
FORWARD(WSASend);
FORWARD(select);
FORWARD(WSASetLastError);
FORWARD(WSACreateEvent);
FORWARD(connect);
FORWARD(WEP);
FORWARD(WPUCompleteOverlappedRequest);
FORWARD(WSAAccept);
FORWARD(WSAAddressToStringA);
FORWARD(WSAAddressToStringW);
FORWARD(WSAAsyncGetHostByAddr);
FORWARD(WSAAsyncGetHostByName);
FORWARD(WSAAsyncGetProtoByName);
FORWARD(WSAAsyncGetProtoByNumber);
FORWARD(WSAAsyncGetServByName);
FORWARD(WSAAsyncGetServByPort);
FORWARD(WSAAsyncSelect);
FORWARD(WSACancelAsyncRequest);
FORWARD(WSACancelBlockingCall);
FORWARD(WSACleanup);
FORWARD(WSAConnect);
FORWARD(WSADuplicateSocketA);
FORWARD(WSADuplicateSocketW);
FORWARD(WSAEnumNameSpaceProvidersA);
FORWARD(WSAEnumNameSpaceProvidersW);
FORWARD(WSAEnumNetworkEvents);
FORWARD(WSAEnumProtocolsA);
FORWARD(WSAEnumProtocolsW);
FORWARD(WSAGetOverlappedResult);
FORWARD(WSAGetQOSByName);
FORWARD(WSAGetServiceClassInfoA);
FORWARD(WSAGetServiceClassInfoW);
FORWARD(WSAGetServiceClassNameByClassIdA);
FORWARD(WSAGetServiceClassNameByClassIdW);
FORWARD(WSAHtonl);
FORWARD(WSAHtons);
FORWARD(WSAInstallServiceClassA);
FORWARD(WSAInstallServiceClassW);
FORWARD(WSAIsBlocking);
FORWARD(WSAJoinLeaf);
FORWARD(WSALookupServiceBeginA);
FORWARD(WSALookupServiceBeginW);
FORWARD(WSALookupServiceEnd);
FORWARD(WSALookupServiceNextA);
FORWARD(WSALookupServiceNextW);
FORWARD(WSANtohl);
FORWARD(WSANtohs);
FORWARD(WSAProviderConfigChange);
FORWARD(WSARecv);
FORWARD(WSARecvDisconnect);
FORWARD(WSARecvFrom);
FORWARD(WSARemoveServiceClass);
FORWARD(WSAResetEvent);
FORWARD(WSASendDisconnect);
FORWARD(WSASendTo);
FORWARD(WSASetBlockingHook);
FORWARD(WSASetServiceA);
FORWARD(WSASetServiceW);
FORWARD(WSASocketA);
FORWARD(WSASocketW);
FORWARD(WSAStartup);
FORWARD(WSAStringToAddressA);
FORWARD(WSAStringToAddressW);
FORWARD(WSAUnhookBlockingHook);
FORWARD(WSAWaitForMultipleEvents);
FORWARD(WSApSetPostRoutine);
FORWARD(WSCDeinstallProvider);
FORWARD(WSCEnableNSProvider);
FORWARD(WSCEnumProtocols);
FORWARD(WSCGetProviderPath);
FORWARD(WSCInstallNameSpace);
FORWARD(WSCInstallProvider);
FORWARD(WSCUnInstallNameSpace);
FORWARD(WSCWriteNameSpaceOrder);
FORWARD(WSCWriteProviderOrder);
FORWARD(__WSAFDIsSet);
FORWARD(accept);
FORWARD(bind);
FORWARD(closesocket);
FORWARD(gethostname);
FORWARD(getpeername);
FORWARD(getprotobyname);
FORWARD(getprotobynumber);
FORWARD(getsockname);
FORWARD(getsockopt);
FORWARD(ioctlsocket);
FORWARD(listen);
FORWARD(ntohl);
FORWARD(recv);
FORWARD(recvfrom);
FORWARD(send);
FORWARD(sendto);
FORWARD(setsockopt);
FORWARD(shutdown);
FORWARD(socket);
